<div class="repayment-logic">
  <form class="container-form" [formGroup]="form" (ngSubmit)="onSubmit()">
    <layout-card-container
      [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE_NO_PADDING"
    >
      <div class="card-content first-secction">
        <layout-setting-item
          title="Repayment type:"
          description="Choose if the it´ll be repaid by installments, or as a percentage of sales for an BNPL product. "
        >
          <div class="form">
            <mo-radio
              label="Installment"
              name="repayment_type"
              id="repayment_type_installment"
              value="Installment"
              formControlName="repayment_type"
            ></mo-radio>
            <mo-radio
              class="hidden"
              label="% of sales"
              name="repayment_type"
              id="repayment_type_percentage"
              formControlName="repayment_type"
              value="% of sales"
            >
              <p class="radio__note">
                *Option available only <br />
                for Mo Manage MCA
              </p>
            </mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          title="Periodicity:"
          description="Select the time frequency in which the customer must repay the obligation. This set up will be used to calculate the term of the credit."
        >
          <div class="form">
            <mo-radio
              label="Weekly"
              name="periodicity"
              id="periodicity_weekly"
              value="Weekly"
              formControlName="periodicity"
            ></mo-radio>
            <mo-radio
              label="Bi-weekly"
              name="periodicity"
              id="periodicity_bi-weekly"
              value="Bi-weekly"
              formControlName="periodicity"
            >
            </mo-radio>
            <mo-radio
              label="Monthly"
              name="periodicity"
              id="periodicity_monthly"
              value="Monthly"
              formControlName="periodicity"
            >
            </mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          title="Calendar logic:"
          description="Select if repayments for this offer can be issued only on business or on calendar days, meaning any day of the year."
        >
          <div class="form">
            <mo-radio
              label="Business days"
              name="calendar_logic"
              id="calendar_logic_business"
              value="Business days"
              formControlName="calendar_logic"
            ></mo-radio>
            <mo-radio
              label="Calendar days"
              name="calendar_logic"
              id="calendar_logic_calenday"
              value="Calendar days"
              formControlName="calendar_logic"
            ></mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          title="Fixed or relative"
          description="Select if the payments are issued at a fixed day, or relative to the disbursment exact date."
        >
          <div class="form">
            <mo-radio
              label="Relative"
              name="fixed_relative"
              id="relative"
              value="Relative"
              formControlName="fixed_or_relative"
            ></mo-radio>
            <mo-radio
              label="Fixed"
              name="fixed_relative"
              id="fixed"
              value="Fixed"
              formControlName="fixed_or_relative"
            ></mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          *ngIf="form.get('fixed_or_relative').value === 'Fixed'"
          description="Pick a day of the week:"
          [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
        >
          <div class="form day-of-week">
            <mo-radio
              label="Monday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_monday"
              value="Monday"
              formControlName="day_of_week"
            ></mo-radio>
            <mo-radio
              label="Tuesday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_tuesday"
              value="Tuesday"
              formControlName="day_of_week"
            ></mo-radio>
            <mo-radio
              label="Wednesday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_wednesday"
              value="Wednesday"
              formControlName="day_of_week"
            ></mo-radio>
            <mo-radio
              label="Thursday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_thursday"
              value="Thursday"
              formControlName="day_of_week"
            ></mo-radio>
            <mo-radio
              label="Friday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_friday"
              value="Friday"
              formControlName="day_of_week"
            ></mo-radio>
            <mo-radio
              label="Saturday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_saturday"
              value="Saturday"
              formControlName="day_of_week"
            ></mo-radio>
            <mo-radio
              label="Sunday"
              name="fixed_day-of-week"
              id="fixed_day-of-week_sunday"
              value="Sunday"
              formControlName="day_of_week"
            ></mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          title="Number of installments:"
          description="Select the number of installments for this credit offer to be repaid in full."
        >
          <div class="form">
            <mo-input
              placeholder="#"
              formControlName="number_of_installments"
              [type]="INPUT_TYPE.NUMBER"
            ></mo-input>
          </div>
        </layout-setting-item>
      </div>
      <layout-setting-item
        title="Term of credit"
        description="Based on the configuration setup, this is the automatic calculation for the credit term."
        [designClass]="termOfCredit?.designClass"
      >
        <div class="term-of-credit__terms">
          <div
            class="term"
            [class.active]="
              termOfCredit?.designClass === SETTINGS_ITEM_DESIGN_CLASS.PRIMARY
            "
          >
            {{ termOfCredit?.text }}
          </div>
        </div>
      </layout-setting-item>
    </layout-card-container>

    <layout-card-container
      [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="card-content">
        <layout-setting-item
          title="Type of installment:"
          description="The type of installment defines the calculation logic for the payment schedule of the credit."
        >
          <div class="form">
            <mo-radio
              label="Variable"
              name="type_installment"
              id="type_installment_variable"
              value="Variable"
              formControlName="type_of_installment"
            ></mo-radio>
            <mo-radio
              label="Fixed"
              name="type_installment"
              id="type_installment_fixed"
              value="Fixed"
              formControlName="type_of_installment"
            >
            </mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          title="Missed repayment logic:"
          description="In case of a missed payment, select how the unpaid amount will combine with the balance and be repaid through the remaining installments. "
        >
          <div class="form">
            <mo-radio
              label="Accumulative"
              name="missed_repayment_logic"
              id="missed_repayment_logic_accumulative"
              value="Accumulative"
              formControlName="missed_repayment_logic"
            ></mo-radio>
            <mo-radio
              label="Re-differ"
              name="missed_repayment_logic"
              id="missed_repayment_logic_re-differ"
              value="Re-differ"
              formControlName="missed_repayment_logic"
            ></mo-radio>
            <mo-radio
              label="Extend"
              name="missed_repayment_logic"
              id="missed_repayment_logic_extend"
              value="Extend"
              formControlName="missed_repayment_logic"
            ></mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          title="Grace period"
          description="Select if this credit will allow a flexible time period before installment default measure take place."
        >
          <div class="form">
            <mo-radio
              label="Yes"
              name="grace_period"
              id="grace_period_yes"
              value="Yes"
              formControlName="grace_period"
            ></mo-radio>
            <mo-radio
              label="No"
              name="grace_period"
              id="grace_period_no"
              value="No"
              formControlName="grace_period"
            ></mo-radio>
          </div>
        </layout-setting-item>

        <layout-setting-item
          *ngIf="form.get('grace_period').value === 'Yes'"
          description="Number of days"
          [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
        >
          <div class="form">
            <mo-input
              placeholder="Days"
              formControlName="grace_period_days"
              [type]="INPUT_TYPE.NUMBER"
              [required]="false"
            ></mo-input>
          </div>
        </layout-setting-item>
      </div>
    </layout-card-container>

    <div class="form__buttons">
      <mo-button
        text="Next"
        [isDisabled]="form.invalid"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
      >
      </mo-button>
    </div>
  </form>
</div>
